Package Asm

## Class JumpCall

- java.lang.Object
- - Asm.Instruction
  - - Asm.JumpCall

-     public class JumpCall
      extends Instruction

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `JumpCall.Op` |

  - ### Field Summary

    - ### Fields inherited from class Asm.Instruction

      `label, name`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JumpCall​(JumpCall.Op op, java.lang.String address)` | Constructeur sans label
    `JumpCall​(java.lang.String label, JumpCall.Op op, java.lang.String address)` | Constructeur

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAddress()` | Getter de l'adresse de saut
    `void` | `setAddress​(java.lang.String address)` | Setter de l'adresse de saut
    `java.lang.String` | `toString()` | Conversion en String

    - ### Methods inherited from class Asm.Instruction

      `getLabel, getName, setLabel, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JumpCall

          public JumpCall​(java.lang.String label,
                          JumpCall.Op op,
                          java.lang.String address)

      Constructeur
      Parameters:
        `label` - label de l'instruction
        `op` - type d'opération
        `address` - adresse de saut

    - #### JumpCall

          public JumpCall​(JumpCall.Op op,
                          java.lang.String address)

      Constructeur sans label
      Parameters:
        `op` - type d'opération
        `address` - adresse de saut

  - ### Method Detail

    - #### getAddress

          public java.lang.String getAddress()

      Getter de l'adresse de saut
      Returns:
        adresse de saut

    - #### setAddress

          public void setAddress​(java.lang.String address)

      Setter de l'adresse de saut
      Parameters:
        `address` - adresse de saut

    - #### toString

          public java.lang.String toString()

      Conversion en String
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        String texte de l'instruction